org.springframework.web.servlet.tags.form

## Class HiddenInputTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.springframework.web.servlet.tags.RequestContextAwareTag
    - - org.springframework.web.servlet.tags.HtmlEscapingAwareTag
      - - org.springframework.web.servlet.tags.form.AbstractFormTag
        - - org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
          - - org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
            - - org.springframework.web.servlet.tags.form.HiddenInputTag

All Implemented Interfaces:
  Serializable, DynamicAttributes, IterationTag, JspTag, Tag, TryCatchFinally, EditorAwareTag

    public class HiddenInputTag
    extends AbstractHtmlElementTag

Data-binding aware JSP tag for rendering a hidden HTML '`input`' field containing the databound value.

Example (binding to 'name' property of form backing object):

    Since:
      2.0
    Author:
      Rob Harrop, Juergen Hoeller, Rossen Stoyanchev
    See Also:Serialized Form

### Field Summary

Fields
`static String` `DISABLED_ATTRIBUTE` The name of the '`disabled`' attribute.

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

`CLASS_ATTRIBUTE, DIR_ATTRIBUTE, LANG_ATTRIBUTE, ONCLICK_ATTRIBUTE, ONDBLCLICK_ATTRIBUTE, ONKEYDOWN_ATTRIBUTE, ONKEYPRESS_ATTRIBUTE, ONKEYUP_ATTRIBUTE, ONMOUSEDOWN_ATTRIBUTE, ONMOUSEMOVE_ATTRIBUTE, ONMOUSEOUT_ATTRIBUTE, ONMOUSEOVER_ATTRIBUTE, ONMOUSEUP_ATTRIBUTE, STYLE_ATTRIBUTE, TABINDEX_ATTRIBUTE, TITLE_ATTRIBUTE`

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

`COMMAND_NAME_VARIABLE_NAME, NESTED_PATH_VARIABLE_NAME`

### Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
Constructor and Description
`HiddenInputTag()`

### Method Summary

Methods
`String` `getDisabled()` Get the value of the '`disabled`' attribute.
`protected boolean` `isDisabled()` Is the current HTML tag disabled?
`protected boolean` `isValidDynamicAttribute(String localName, Object value)` Flags "type" as an illegal dynamic attribute.
`void` `setDisabled(String disabled)` Set the value of the '`disabled`' attribute.
`protected int` `writeTagContent(TagWriter tagWriter)` Writes the HTML '`input`' tag to the supplied `TagWriter` including the databound value.

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

`getCssClass, getCssErrorClass, getCssStyle, getDir, getDynamicAttributes, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getTabindex, getTitle, resolveCssClass, setCssClass, setCssErrorClass, setCssStyle, setDir, setDynamicAttribute, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setTabindex, setTitle, writeDefaultAttributes, writeOptionalAttributes`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

`autogenerateId, convertToDisplayString, doFinally, getBindStatus, getBoundValue, getEditor, getId, getName, getNestedPath, getPath, getPropertyEditor, getPropertyPath, processFieldValue, resolveId, setId, setPath`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractFormTag

`createTagWriter, doStartTagInternal, evaluate, evaluateBoolean, getDisplayString, getDisplayString, isDefaultHtmlEscape, writeOptionalAttribute`

### Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag

`isHtmlEscape, setHtmlEscape`

### Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`doCatch, doStartTag, getRequestContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, release, removeValue, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DISABLED_ATTRIBUTE

    public static final String DISABLED_ATTRIBUTE

The name of the '`disabled`' attribute.

See Also:
  Constant Field Values

### Constructor Detail

#### HiddenInputTag

    public HiddenInputTag()

### Method Detail

#### getDisabled

    public String getDisabled()

Get the value of the '`disabled`' attribute.

#### setDisabled

    public void setDisabled(String disabled)

Set the value of the '`disabled`' attribute. May be a runtime expression.

#### isValidDynamicAttribute

    protected boolean isValidDynamicAttribute(String localName,
                                  Object value)

Flags "type" as an illegal dynamic attribute.

Overrides:
  `isValidDynamicAttribute` in class `AbstractHtmlElementTag`

#### writeTagContent

    protected int writeTagContent(TagWriter tagWriter)
                           throws JspException

Writes the HTML '`input`' tag to the supplied `TagWriter` including the databound value.

Specified by:
  `writeTagContent` in class `AbstractFormTag`
Returns:
  valid tag render instruction as per `Tag.doStartTag()`.
Throws:
  `JspException`
See Also:
  `AbstractHtmlElementTag.writeDefaultAttributes(TagWriter)`, `AbstractDataBoundFormElementTag.getBoundValue()`

#### isDisabled

    protected boolean isDisabled()
                          throws JspException

Is the current HTML tag disabled?

Throws:
  `JspException`